Docs/CS2 API/CS2 Player Stats API

CS2 Player Stats API

Player profiles by id or slug ("donk", "zywoo"): headline stats, career and seasons, map and weapon splits, clutches and flash assists, form and team history.

17 endpoints in this section. Authenticate with the x-api-key header; every response is { success, data, meta }. Other sections: Live, Odds, Matches, Maps & rounds, Rankings, Teams, Events, Stats & leaderboards, Skins, Transfers, Search & reference.

Search players

GET/api/v1/cs2/players/search

Find players by nickname or real name. Requires `q`.

Query parameters

ParameterTypeDescription
q*stringSearch text.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/search" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "entityType": "cs2_player",
      "id": "cs2-player-11893",
      "nickname": "ZywOo",
      "slug": "zywoo",
      "realName": "Mathieu Herbaut",
      "imageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/9a20575a48df13463513233c6314f72c.webp",
      "countryName": "France",
      "countryCode": "FR",
      "age": 25,
      "rating": 1.24,
      "mapsPlayed": 167,
      "careerStats": {
        "rating": 1.24,
        "lastKnownRating": 1.24
      },
      "currentTeamId": "cs2-team-9565",
      "status": "active",
      "primaryRole": "AWPer",
      "roleConfidence": "high",
      "statusUpdatedAt": "2026-10-16T18:53:28.992Z",
      "lastSyncedAt": "2026-10-16T18:53:28.121Z",
      "lastVerified": "2026-10-16T18:53:28.121Z",
      "availableSubresources": [
        "stats",
        "matches"
      ],
      "unavailableSubresources": [
        "teams",
        "weapons"
      ],
      "unavailableFields": {},
      "dataQuality": "complete",
      "confidence": "high",
      "…": "1 more fields"
    }
  ],
  "meta": {
    "query": "zywoo",
    "count": 1,
    "limit": 1,
    "total": 1,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Player career

GET/api/v1/cs2/players/{playerIdOrSlug}/career

A player's career totals and team history.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).
includestringFilter by include.
includeDemostringFilter by includeDemo.
include_demostringFilter by include_demo.
limitintegerRows to return. Maximum 100; larger values are reduced to 100.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/career" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": {
    "entityType": "cs2_player_career_stats",
    "playerId": "cs2-player-11893",
    "playerNickname": "ZywOo",
    "dataAvailable": true,
    "totals": {
      "matches": 274,
      "maps": 636,
      "kills": 12038,
      "deaths": 8241,
      "assists": 3024,
      "kdRatio": 1.4607,
      "adr": 87.97,
      "kast": 0.7805,
      "rating": 1.2445,
      "openingKills": 1806,
      "openingDeaths": 1064,
      "assistsCoverage": 0.937,
      "openingDuelCoverage": 0.931,
      "computedAt": "2026-10-16T19:44:46.703Z",
      "clutchAttempts": null,
      "clutchWins": null,
      "clutchWinPercent": null,
      "flashAssists": null,
      "utilityDamage": null
    },
    "clutches": null,
    "flashAssists": null,
    "utilityDamage": null,
    "byTeam": [
      {
        "statKey": "team:cs2-player-11893:cs2-team-9565",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "teamId": "cs2-team-9565",
        "teamName": "Vitality",
        "periodType": "career",
        "periodStart": "2018-11-18T23:10:00.000Z",
        "periodEnd": "2026-10-11T15:00:00.000Z",
        "eventId": null,
        "eventName": null,
        "matches": 273,
        "maps": 635,
        "kills": 12021,
        "deaths": 8222,
        "assists": 3018,
        "kdRatio": 1.4621,
        "adr": 87.97,
        "kast": 0.7806,
        "rating": 1.2449,
        "openingKills": 1805,
        "openingDeaths": 1063,
        "consistencyScore": null,
        "volatilityScore": null,
        "opponentDifficulty": null,
        "…": "1 more fields"
      },
      {
        "statKey": "team:cs2-player-11893:cs2-team-4608",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "teamId": "cs2-team-4608",
        "teamName": "Natus Vincere",
        "periodType": "career",
        "periodStart": "2023-07-08T17:20:00.000Z",
        "periodEnd": "2023-07-08T17:20:00.000Z",
        "eventId": null,
        "eventName": null,
        "matches": 1,
        "maps": 1,
        "kills": 17,
        "deaths": 19,
        "assists": 6,
        "kdRatio": 0.8947,
        "adr": 84.2,
        "kast": 0.708,
        "rating": 0.97,
        "openingKills": 1,
        "openingDeaths": 1,
        "consistencyScore": null,
        "volatilityScore": null,
        "opponentDifficulty": null,
        "…": "1 more fields"
      }
    ]
  },
  "meta": {
    "count": 1,
    "dataAvailable": true,
    "limit": 1,
    "total": 1,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Player seasons

GET/api/v1/cs2/players/{playerIdOrSlug}/seasons

A player's stats by year.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).
limitintegerRows to return. Maximum 200; larger values are reduced to 200.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/seasons" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": {
    "entityType": "cs2_player_season_stats",
    "playerId": "cs2-player-11893",
    "playerNickname": "ZywOo",
    "dataAvailable": true,
    "seasons": [
      {
        "statKey": "year:cs2-player-11893:2026",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "teamId": "cs2-team-9565",
        "teamName": "Vitality",
        "seasonYear": 2026,
        "periodStart": "2026-01-14T19:15:00.000Z",
        "periodEnd": "2026-10-11T15:00:00.000Z",
        "matches": 60,
        "maps": 147,
        "kills": 2687,
        "deaths": 1703,
        "assists": 727,
        "kdRatio": 1.5778,
        "adr": 91.43,
        "kast": 0.789,
        "rating": 1.2979,
        "openingKills": 399,
        "openingDeaths": 231,
        "consistencyScore": null,
        "volatilityScore": null,
        "source": "match_stats",
        "computedAt": "2026-10-16T19:44:46.943Z"
      },
      {
        "statKey": "year:cs2-player-11893:2025",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "teamId": "cs2-team-9565",
        "teamName": "Vitality",
        "seasonYear": 2025,
        "periodStart": "2025-01-15T18:40:00.000Z",
        "periodEnd": "2025-12-14T17:00:00.000Z",
        "matches": 82,
        "maps": 200,
        "kills": 3593,
        "deaths": 2535,
        "assists": 1075,
        "kdRatio": 1.4174,
        "adr": 88,
        "kast": 0.7812,
        "rating": 1.2338,
        "openingKills": 582,
        "openingDeaths": 335,
        "consistencyScore": null,
        "volatilityScore": null,
        "source": "match_stats",
        "computedAt": "2026-10-16T19:44:46.943Z"
      }
    ]
  },
  "meta": {
    "count": 2,
    "dataAvailable": true,
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Player periods

GET/api/v1/cs2/players/{playerIdOrSlug}/periods

A player's stats over rolling periods (e.g. last 3 months).

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).
limitintegerRows to return. Maximum 200; larger values are reduced to 200.
period_typestringFilter by period_type.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/periods" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": {
    "entityType": "cs2_player_period_stats",
    "playerId": "cs2-player-11893",
    "playerNickname": "ZywOo",
    "periodTypeFilter": null,
    "periods": [
      {
        "statKey": "career:source-player-11893:source-team-9565:vitality",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "teamId": "cs2-team-9565",
        "teamName": "Vitality",
        "periodType": "career",
        "periodStart": null,
        "periodEnd": null,
        "eventId": null,
        "eventName": null,
        "eventTier": null,
        "region": null,
        "matches": 273,
        "maps": 635,
        "kills": 12129,
        "deaths": 8287,
        "assists": 3018,
        "kdRatio": 1.4636,
        "adr": 88.03,
        "kast": 0.781,
        "rating": 1.2449,
        "openingKills": 186,
        "openingDeaths": 91,
        "consistencyScore": 0.7429,
        "…": "3 more fields"
      },
      {
        "statKey": "career:source-player-11893:none:all",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "teamId": null,
        "teamName": null,
        "periodType": "career",
        "periodStart": null,
        "periodEnd": null,
        "eventId": null,
        "eventName": null,
        "eventTier": null,
        "region": null,
        "matches": 2,
        "maps": 3,
        "kills": 72,
        "deaths": 33,
        "assists": 13,
        "kdRatio": 2.1818,
        "adr": 115.55,
        "kast": 0.8494,
        "rating": 1.296,
        "openingKills": 10,
        "openingDeaths": 4,
        "consistencyScore": 0.8999,
        "…": "3 more fields"
      }
    ],
    "dataAvailable": true
  },
  "meta": {
    "count": 2,
    "dataAvailable": true,
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Player tournaments

GET/api/v1/cs2/players/{playerIdOrSlug}/tournaments
GET/api/v1/cs2/players/{playerIdOrSlug}/events

Events a player has played, with placement and stats. These routes are equivalent; use whichever reads best.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).
limitintegerRows to return. Maximum 200; larger values are reduced to 200.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/tournaments" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": {
    "entityType": "cs2_player_tournaments",
    "playerId": "cs2-player-11893",
    "playerNickname": "ZywOo",
    "tournaments": [
      {
        "eventId": "cs2-event-8244",
        "eventName": "ESL Pro League Season 24",
        "eventSlug": "esl-pro-league-season-24",
        "eventTier": "S",
        "startsAt": "2026-10-03T00:00:00.000Z",
        "endsAt": "2026-10-11T23:59:59.000Z",
        "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/6346557bea069c7738609f369a8bcce4.webp",
        "teamId": "cs2-team-9565",
        "teamName": "Vitality",
        "matches": 6,
        "maps": 16,
        "kills": 270,
        "deaths": 156,
        "assists": 98,
        "kdRatio": 1.731,
        "adr": 84.94,
        "kast": 0.8,
        "rating": 1.32,
        "openingKills": 30,
        "openingDeaths": 23,
        "source": "match_stats"
      },
      {
        "eventId": "cs2-event-8057",
        "eventName": "StarLadder StarSeries Fall 2026",
        "eventSlug": "starladder-starseries-fall-2026",
        "eventTier": "A",
        "startsAt": "2026-09-17T00:00:00.000Z",
        "endsAt": "2026-09-20T23:59:59.000Z",
        "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/46f5b3050de83dd3025acdcd86e3b3ff.webp",
        "teamId": "cs2-team-9565",
        "teamName": "Vitality",
        "matches": 5,
        "maps": 13,
        "kills": 231,
        "deaths": 148,
        "assists": 68,
        "kdRatio": 1.561,
        "adr": 96.97,
        "kast": 0.79,
        "rating": 1.305,
        "openingKills": 25,
        "openingDeaths": 14,
        "source": "match_stats"
      }
    ],
    "dataAvailable": true
  },
  "meta": {
    "count": 2,
    "dataAvailable": true,
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Player trends

GET/api/v1/cs2/players/{playerIdOrSlug}/trends

A player's rating and form over time.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).
mapsstringFilter by maps.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/trends" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": {
    "entityType": "cs2_player_performance_trends",
    "playerId": "cs2-player-11893",
    "playerNickname": "ZywOo",
    "dataAvailable": true,
    "trends": [
      {
        "trendKey": "last_30_days:source-player-11893",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "windowType": "last_30_days",
        "periodStart": "2026-09-16T19:44:47.681Z",
        "periodEnd": "2026-10-16T19:44:47.681Z",
        "matches": 11,
        "maps": 29,
        "kills": 501,
        "deaths": 304,
        "assists": 166,
        "kdRatio": 1.648,
        "adr": 90.33,
        "kast": 0.794,
        "rating": 1.3134,
        "consistencyScore": 0.7272,
        "volatilityScore": 0.2728,
        "source": "match_stats",
        "computedAt": "2026-10-16T19:44:47.697Z"
      },
      {
        "trendKey": "last_90_days:source-player-11893",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "windowType": "last_90_days",
        "periodStart": "2026-07-18T19:44:47.681Z",
        "periodEnd": "2026-10-16T19:44:47.681Z",
        "matches": 20,
        "maps": 48,
        "kills": 814,
        "deaths": 537,
        "assists": 257,
        "kdRatio": 1.5158,
        "adr": 92.61,
        "kast": 0.7921,
        "rating": 1.2842,
        "consistencyScore": 0.7159,
        "volatilityScore": 0.2841,
        "source": "match_stats",
        "computedAt": "2026-10-16T19:44:47.697Z"
      }
    ],
    "recentMaps": [
      {
        "matchId": "cs2-match-2398757",
        "mapId": "cs2-match-2398757-map-3",
        "mapName": "Dust2",
        "startsAt": "2026-10-11T15:00:00.000Z",
        "eventName": "ESL Pro League Season 24",
        "teamId": "cs2-team-9565",
        "teamName": "Vitality",
        "opponentName": "MOUZ",
        "kills": 25,
        "deaths": 14,
        "assists": 5,
        "adr": 76.4,
        "kast": 0.786,
        "rating": 1.26
      },
      {
        "matchId": "cs2-match-2398757",
        "mapId": "cs2-match-2398757-map-2",
        "mapName": "Inferno",
        "startsAt": "2026-10-11T15:00:00.000Z",
        "eventName": "ESL Pro League Season 24",
        "teamId": "cs2-team-9565",
        "teamName": "Vitality",
        "opponentName": "MOUZ",
        "kills": 18,
        "deaths": 9,
        "assists": 14,
        "adr": 92.2,
        "kast": 0.9,
        "rating": 1.5
      }
    ]
  },
  "meta": {
    "periods": 4,
    "recentMaps": 20,
    "dataAvailable": true
  }
}

Player transfers

GET/api/v1/cs2/players/{playerIdOrSlug}/transfers

A player's moves between teams.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).
limitintegerRows to return. Maximum 200; larger values are reduced to 200.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/transfers" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": {
    "entityType": "cs2_player_transfers",
    "playerId": "cs2-player-11893",
    "playerNickname": "ZywOo",
    "dataAvailable": true,
    "currentTeamId": "cs2-team-9565",
    "currentTeamName": "Vitality",
    "status": "active",
    "transferHistory": [
      {
        "transferKey": "profile-history:2018-10-01:source-player-11893:source-team-5639:source-team-9565:joined",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "playerImageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/9a20575a48df13463513233c6314f72c.webp",
        "fromTeamId": "cs2-team-5639",
        "fromTeamName": "aAa",
        "fromTeamLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/686cbe0c559e95cae6a091ffc4a7f524.svg",
        "fromTeamAlternateLogoUrl": null,
        "fromTeamDarkUiLogoUrl": null,
        "fromTeamIsNoTeam": false,
        "toTeamId": "cs2-team-9565",
        "toTeamName": "Vitality",
        "toTeamLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/0cd34febd1ad61ff888f21b55756003b.webp",
        "toTeamAlternateLogoUrl": null,
        "toTeamDarkUiLogoUrl": null,
        "toTeamIsNoTeam": false,
        "status": "joined",
        "role": null,
        "transferDate": "2018-10-01T12:00:00.000Z",
        "joinDate": "2018-10-01T12:00:00.000Z",
        "leaveDate": null,
        "detectedAt": "2026-07-10T00:53:55.880Z"
      },
      {
        "transferKey": "profile-history:2017-09-01:source-player-11893:source-team-7649:source-team-5639:joined",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "playerImageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/9a20575a48df13463513233c6314f72c.webp",
        "fromTeamId": "cs2-team-7649",
        "fromTeamName": "WySix",
        "fromTeamLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/9a3798b5b0651fe2e6df965cb7b1279c.webp",
        "fromTeamAlternateLogoUrl": null,
        "fromTeamDarkUiLogoUrl": null,
        "fromTeamIsNoTeam": false,
        "toTeamId": "cs2-team-5639",
        "toTeamName": "aAa",
        "toTeamLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/686cbe0c559e95cae6a091ffc4a7f524.svg",
        "toTeamAlternateLogoUrl": null,
        "toTeamDarkUiLogoUrl": null,
        "toTeamIsNoTeam": false,
        "status": "joined",
        "role": null,
        "transferDate": "2017-09-01T12:00:00.000Z",
        "joinDate": "2017-09-01T12:00:00.000Z",
        "leaveDate": null,
        "detectedAt": "2026-07-10T00:53:55.731Z"
      }
    ],
    "rosterChanges": [
      {
        "changeId": "4dbd68eb-906d-4600-8782-c855a1ccf4bb",
        "changeType": "join",
        "teamId": "cs2-team-9565",
        "fromTeamId": null,
        "toTeamId": "cs2-team-9565",
        "teamName": "Vitality",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "roleBefore": null,
        "roleAfter": "AWPer",
        "effectiveAt": "2026-07-10T01:50:43.165Z",
        "detectedAt": "2026-07-10T01:50:43.165Z",
        "confidence": "medium"
      },
      {
        "changeId": "d2848d10-010b-4764-92fa-be5895c3ec66",
        "changeType": "leave",
        "teamId": "cs2-team-9565",
        "fromTeamId": "cs2-team-9565",
        "toTeamId": null,
        "teamName": "Vitality",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "roleBefore": "AWPer",
        "roleAfter": null,
   
…

Player stats

GET/api/v1/cs2/players/{playerIdOrSlug}/stats

A player's aggregate stats: rating, ADR, KAST, K/D and more.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).
limitintegerRows to return. Maximum 100; larger values are reduced to 100.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/stats" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": {
    "entityType": "cs2_player_stats",
    "playerId": "cs2-player-11893",
    "maps": 636,
    "totals": {
      "kills": 12038,
      "deaths": 8241,
      "assists": 3024,
      "headshots": null,
      "headshotsCoverage": 0.882,
      "assistsCoverage": 0.937,
      "headshotPercent": 0.4316
    },
    "clutches": {
      "dataAvailable": true,
      "attempts": 205,
      "wins": 43,
      "winPercent": 21,
      "byType": {
        "1v1": {
          "attempts": 32,
          "wins": 24,
          "winPercent": 75
        },
        "1v2": {
          "attempts": 39,
          "wins": 11,
          "winPercent": 28.2
        },
        "1v3": {
          "attempts": 56,
          "wins": 6,
          "winPercent": 10.7
        },
        "1v4": {
          "attempts": 45,
          "wins": 2,
          "winPercent": 4.4
        },
        "1v5": {
          "attempts": 33,
          "wins": 0,
          "winPercent": 0
        }
      },
      "source": "demo_round_timeline"
    },
    "flashAssists": {
      "flashAssists": 83
    },
    "rows": [
      {
        "id": "e09fd1cd-3afb-4fe6-ac66-0131b75d9e16",
        "mapId": "cs2-match-2329066-map-2",
        "matchId": "cs2-match-2329066",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "teamId": "cs2-team-9565",
        "teamName": "Vitality",
        "kills": 19,
        "deaths": 11,
        "assists": 2,
        "plusMinus": 8,
        "adr": 79.3,
        "kast": 0.773,
        "rating": 1.24,
        "ratingVersion": "cito_rating_1",
        "headshots": 8,
        "headshotPercent": 0.421,
        "firstKills": 2,
        "firstDeaths": 3,
        "lastSyncedAt": "2026-10-16T07:49:49.756Z"
      },
      {
        "id": "fb399380-a035-4661-88e6-a4ac7eb9d5a7",
        "mapId": "cs2-match-2329066-map-1",
        "matchId": "cs2-match-2329066",
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "teamId": "cs2-team-9565",
        "teamName": "Vitality",
        "kills": 18,
        "deaths": 6,
        "assists": 6,
        "plusMinus": 12,
        "adr": 98.1,
        "kast": 0.8,
        "rating": 1.53,
        "ratingVersion": "cito_rating_1",
        "headshots": 5,
        "headshotPercent": 0.278,
        "firstKills": 2,
        "firstDeaths": 2,
        "lastSyncedAt": "2026-10-16T07:49:48.810Z"
      }
    ]
  },
  "meta": {
    "dataAvailable": true,
    "availability": "available"
  }
}

Player clutches

GET/api/v1/cs2/players/{playerIdOrSlug}/clutches

A player's clutch situations (1vX). Currently being recomputed: returns `data_available: false` with `unavailable_reason: being_recomputed`.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).
limitintegerRows to return. Maximum 200; larger values are reduced to 200.
player_idstringPlayer id or slug.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/clutches" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": {
    "entityType": "cs2_player_clutches",
    "playerId": "cs2-player-11893",
    "playerNickname": "ZywOo",
    "dataAvailable": true,
    "attempts": 205,
    "wins": 43,
    "winPercent": 21,
    "byType": {
      "1v1": {
        "attempts": 32,
        "wins": 24,
        "winPercent": 75
      },
      "1v2": {
        "attempts": 39,
        "wins": 11,
        "winPercent": 28.2
      },
      "1v3": {
        "attempts": 56,
        "wins": 6,
        "winPercent": 10.7
      },
      "1v4": {
        "attempts": 45,
        "wins": 2,
        "winPercent": 4.4
      },
      "1v5": {
        "attempts": 33,
        "wins": 0,
        "winPercent": 0
      }
    },
    "source": "demo_round_timeline",
    "recent": [
      {
        "matchId": "cs2-match-2398757",
        "mapId": "cs2-match-2398757-map-1",
        "mapName": "Cache",
        "eventName": "ESL Pro League Season 24",
        "date": "2026-10-11T15:00:00.000Z",
        "round": 22,
        "type": "1v1",
        "side": "CT",
        "won": true
      },
      {
        "matchId": "cs2-match-2398757",
        "mapId": "cs2-match-2398757-map-2",
        "mapName": "Inferno",
        "eventName": "ESL Pro League Season 24",
        "date": "2026-10-11T15:00:00.000Z",
        "round": 19,
        "type": "1v4",
        "side": "T",
        "won": false
      }
    ]
  },
  "meta": {
    "count": 2,
    "dataAvailable": true,
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Player flash assists

GET/api/v1/cs2/players/{playerIdOrSlug}/flash-assists

Kills a player set up with flashbangs.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/flash-assists" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": {
    "entityType": "cs2_player_flash_assists",
    "playerId": "cs2-player-11893",
    "playerNickname": "ZywOo",
    "dataAvailable": true,
    "flashAssists": [
      {
        "playerId": "cs2-player-11893",
        "playerName": "ZywOo",
        "teamId": "cs2-team-9565",
        "teamName": "Vitality",
        "flashAssists": 83,
        "maps": 52,
        "flashAssistsPerMap": 1.5962
      }
    ]
  },
  "meta": {
    "count": 1,
    "dataAvailable": true,
    "limit": 1,
    "total": 1,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Player matches

GET/api/v1/cs2/players/{playerIdOrSlug}/matches

A player's stat lines, one row per map played, newest first.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).
limitintegerRows to return. Maximum 100; larger values are reduced to 100.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/matches" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "entityType": "cs2_player_stat",
      "id": "live-source-match-2398757-map-1-ZywOo",
      "mapId": "cs2-match-2398757-map-1",
      "matchId": "cs2-match-2398757",
      "playerId": "cs2-player-11893",
      "playerName": "ZywOo",
      "teamId": "cs2-team-9565",
      "teamName": "Vitality",
      "kills": 21,
      "deaths": 10,
      "assists": 5,
      "plusMinus": 11,
      "adr": 107.2,
      "kast": 0.81,
      "rating": 1.45,
      "ratingVersion": "cito_rating_1",
      "headshots": 14,
      "headshotPercent": 0.667,
      "firstKills": 6,
      "firstDeaths": 1,
      "lastSyncedAt": "2026-10-14T15:36:28.546Z",
      "map": {
        "id": "cs2-match-2398757-map-1",
        "matchId": "cs2-match-2398757",
        "mapNumber": 1,
        "mapName": "Cache",
        "status": "completed",
        "team1Score": 13,
        "team2Score": 8,
        "team1Halves": null,
        "team2Halves": null,
        "winnerTeamId": "cs2-team-9565",
        "durationRounds": 21,
        "lastSyncedAt": "2026-10-14T15:36:28.245Z",
        "match": {
          "id": "cs2-match-2398757",
          "eventId": "cs2-event-8244",
          "eventName": "ESL Pro League Season 24",
          "eventSlug": "esl-pro-league-season-24",
          "stageName": null,
          "startsAt": "2026-10-11T15:00:00.000Z",
          "endsAt": "2026-10-11T18:13:51.234Z",
          "bestOf": 5,
          "status": "completed",
          "team1Id": "cs2-team-9565",
          "team2Id": "cs2-team-4494",
          "team1Name": "Vitality",
          "team2Name": "MOUZ",
          "team1Score": 3,
          "team2Score": 0,
          "winnerTeamId": "cs2-team-9565",
          "vetoOrder": null,
          "streamLinks": null,
          "vodLinks": [],
          "lastSyncedAt": "2026-10-16T19:16:19.761Z",
          "lastVerified": "2026-10-16T19:16:19.761Z",
          "confidence": "high",
          "resultType": "played",
          "resultStatus": "completed",
          "…": "4 more fields"
        },
        "mapNameCanonical": "Cache",
        "imageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/maps/cache.png",
        "mapImageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/maps/cache.png",
        "coverImageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/maps/cache.png",
        "resultType": "played",
        "resultStatus": "completed",
        "isForfeit": false,
        "statsEligible": true,
        "unavailableReason": null,
        "dataAvailability": {
          "playerStats": {
            "dataAvailable": false,
            "unavailableReason": "not_yet_indexed"
          }
        }
      },
      "availableSubresources": [],
      "unavailableSubresources": [],
      "…": "5 more fields"
    },
    {
      "entityType": "cs2_player_stat",
      "id": "live-source-match-2398757-map-2-ZywOo",
      "mapId": "cs2-match-2398757-map-2",
      "matchId": "cs2-match-2398757",
      "playerId": "cs2-player-11893",
      "playerName": "ZywOo",
      "teamId": "cs2-team-9565",
      "teamName": "Vitality",
      "kills": 18,
      "deaths": 9,
      "assists": 14,
      "plusMinus": 9,
      "adr": 92.2,
      "kast": 0.9,
      "rating": 1.5,
      "ratingVersion": "cito_rating_1",
      "headshots": 7,
      "headshotPercent": 0.389,
      "firstKills": 0,
      "firstDeaths": 0,
      "lastSyncedAt": "2026-10-14T15:36:29.946Z",
      "map": {
        "id": "cs2-match-2398757-map-2",
       
…

Player maps

GET/api/v1/cs2/players/{playerIdOrSlug}/maps

A player's stats per map.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).
aggregatestringFilter by aggregate.
daysintegerLook-back window in days.
limitintegerRows to return. Maximum 100; larger values are reduced to 100.
offsetintegerRows to skip, for paging.
summarybooleantrue returns a summary instead of full rows.
windowDaysintegerLook-back window in days.
window_daysintegerLook-back window in days.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/maps" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "entityType": "cs2_player_stat",
      "id": "live-source-match-2398757-map-1-ZywOo",
      "mapId": "cs2-match-2398757-map-1",
      "matchId": "cs2-match-2398757",
      "playerId": "cs2-player-11893",
      "playerName": "ZywOo",
      "teamId": "cs2-team-9565",
      "teamName": "Vitality",
      "kills": 21,
      "deaths": 10,
      "assists": 5,
      "plusMinus": 11,
      "adr": 107.2,
      "kast": 0.81,
      "rating": 1.45,
      "ratingVersion": "cito_rating_1",
      "headshots": 14,
      "headshotPercent": 0.667,
      "firstKills": 6,
      "firstDeaths": 1,
      "lastSyncedAt": "2026-10-14T15:36:28.546Z",
      "map": {
        "id": "cs2-match-2398757-map-1",
        "matchId": "cs2-match-2398757",
        "mapNumber": 1,
        "mapName": "Cache",
        "status": "completed",
        "team1Score": 13,
        "team2Score": 8,
        "team1Halves": null,
        "team2Halves": null,
        "winnerTeamId": "cs2-team-9565",
        "durationRounds": 21,
        "lastSyncedAt": "2026-10-14T15:36:28.245Z",
        "match": {
          "id": "cs2-match-2398757",
          "status": "completed",
          "startsAt": "2026-10-11T15:00:00.000Z",
          "team1Id": "cs2-team-9565",
          "team2Id": "cs2-team-4494",
          "team1Name": "Vitality",
          "team2Name": "MOUZ",
          "team1Score": 3,
          "team2Score": 0,
          "winnerTeamId": "cs2-team-9565",
          "resultType": "played",
          "resultStatus": "completed",
          "isForfeit": false,
          "statsEligible": false,
          "unavailableReason": null,
          "dataAvailability": {
            "playerStats": {
              "…": "…"
            }
          }
        },
        "mapNameCanonical": "Cache",
        "imageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/maps/cache.png",
        "mapImageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/maps/cache.png",
        "coverImageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/maps/cache.png",
        "resultType": "played",
        "resultStatus": "completed",
        "isForfeit": false,
        "statsEligible": true,
        "unavailableReason": null,
        "dataAvailability": {
          "playerStats": {
            "dataAvailable": false,
            "unavailableReason": "not_yet_indexed"
          }
        }
      },
      "availableSubresources": [],
      "unavailableSubresources": [],
      "…": "5 more fields"
    },
    {
      "entityType": "cs2_player_stat",
      "id": "live-source-match-2398757-map-2-ZywOo",
      "mapId": "cs2-match-2398757-map-2",
      "matchId": "cs2-match-2398757",
      "playerId": "cs2-player-11893",
      "playerName": "ZywOo",
      "teamId": "cs2-team-9565",
      "teamName": "Vitality",
      "kills": 18,
      "deaths": 9,
      "assists": 14,
      "plusMinus": 9,
      "adr": 92.2,
      "kast": 0.9,
      "rating": 1.5,
      "ratingVersion": "cito_rating_1",
      "headshots": 7,
      "headshotPercent": 0.389,
      "firstKills": 0,
      "firstDeaths": 0,
      "lastSyncedAt": "2026-10-14T15:36:29.946Z",
      "map": {
        "id": "cs2-match-2398757-map-2",
        "matchId": "cs2-match-2398757",
        "mapNumber": 2,
        "mapName": "Inferno",
        "status": "completed",
        "team1Score": 13,
        "team2Score": 7,
        "team1Halves": null,
        "team2Halves": null,
        "winnerTeamId": "cs2-team-9565",
        "durationRo
…

Player teams

GET/api/v1/cs2/players/{playerIdOrSlug}/teams
GET/api/v1/cs2/players/{playerIdOrSlug}/teams/history

Teams a player has played for, with dates. These routes are equivalent; use whichever reads best.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/teams" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "id": "8f40140c-772e-4d4e-8510-1c8360c754ba",
      "teamId": "cs2-team-9565",
      "playerId": "cs2-player-11893",
      "role": "AWPer",
      "fromAt": "2018-10-01T12:00:00.000Z",
      "toAt": null,
      "isActive": true,
      "lastSyncedAt": "2026-10-16T18:53:28.992Z",
      "team": {
        "id": "cs2-team-9565",
        "name": "Vitality",
        "slug": "vitality",
        "teamTag": "VITALITY",
        "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/0cd34febd1ad61ff888f21b55756003b.webp",
        "countryName": "Europe",
        "countryCode": null,
        "region": "Europe",
        "worldRanking": 2,
        "lastSyncedAt": "2026-10-16T19:39:26.768Z",
        "lastVerified": "2026-10-16T19:39:26.768Z",
        "confidence": "high",
        "alternateLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/c5e463f9b2347d3aa58794fb8f7ec967.webp",
        "darkUiLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/c5e463f9b2347d3aa58794fb8f7ec967.webp"
      }
    },
    {
      "id": "c89f70dc-3630-4fa3-8143-8967904b6b93",
      "teamId": "cs2-team-5639",
      "playerId": "cs2-player-11893",
      "role": null,
      "fromAt": "2017-09-01T12:00:00.000Z",
      "toAt": "2018-09-30T12:00:00.000Z",
      "isActive": false,
      "lastSyncedAt": "2026-07-10T01:37:18.872Z",
      "team": {
        "id": "cs2-team-5639",
        "name": "aAa",
        "slug": "aaa",
        "teamTag": "AAA",
        "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/686cbe0c559e95cae6a091ffc4a7f524.svg",
        "countryName": "France",
        "countryCode": "FR",
        "region": "Europe",
        "worldRanking": null,
        "lastSyncedAt": "2026-10-16T19:39:59.588Z",
        "lastVerified": "2026-10-16T19:39:59.588Z",
        "confidence": "high"
      }
    }
  ],
  "meta": {
    "count": 5,
    "limit": 5,
    "total": 5,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Player form

GET/api/v1/cs2/players/{playerIdOrSlug}/form

A player's most recent maps with kills, deaths, ADR, KAST and rating.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/form" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "entityType": "cs2_player_stat",
      "id": "live-source-match-2398757-map-1-ZywOo",
      "mapId": "cs2-match-2398757-map-1",
      "matchId": "cs2-match-2398757",
      "playerId": "cs2-player-11893",
      "playerName": "ZywOo",
      "teamId": "cs2-team-9565",
      "teamName": "Vitality",
      "kills": 21,
      "deaths": 10,
      "assists": 5,
      "plusMinus": 11,
      "adr": 107.2,
      "kast": 0.81,
      "rating": 1.45,
      "ratingVersion": "cito_rating_1",
      "headshots": 14,
      "headshotPercent": 0.667,
      "firstKills": 6,
      "firstDeaths": 1,
      "lastSyncedAt": "2026-10-14T15:36:28.546Z",
      "map": {
        "id": "cs2-match-2398757-map-1",
        "matchId": "cs2-match-2398757",
        "mapNumber": 1,
        "mapName": "Cache",
        "status": "completed",
        "team1Score": 13,
        "team2Score": 8,
        "team1Halves": null,
        "team2Halves": null,
        "winnerTeamId": "cs2-team-9565",
        "durationRounds": 21,
        "lastSyncedAt": "2026-10-14T15:36:28.245Z",
        "match": {
          "id": "cs2-match-2398757",
          "eventId": "cs2-event-8244",
          "eventName": "ESL Pro League Season 24",
          "eventSlug": "esl-pro-league-season-24",
          "stageName": null,
          "startsAt": "2026-10-11T15:00:00.000Z",
          "endsAt": "2026-10-11T18:13:51.234Z",
          "bestOf": 5,
          "status": "completed",
          "team1Id": "cs2-team-9565",
          "team2Id": "cs2-team-4494",
          "team1Name": "Vitality",
          "team2Name": "MOUZ",
          "team1Score": 3,
          "team2Score": 0,
          "winnerTeamId": "cs2-team-9565",
          "vetoOrder": null,
          "streamLinks": null,
          "vodLinks": [],
          "lastSyncedAt": "2026-10-16T19:16:19.761Z",
          "lastVerified": "2026-10-16T19:16:19.761Z",
          "confidence": "high",
          "resultType": "played",
          "resultStatus": "completed",
          "…": "4 more fields"
        },
        "mapNameCanonical": "Cache",
        "imageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/maps/cache.png",
        "mapImageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/maps/cache.png",
        "coverImageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/maps/cache.png",
        "resultType": "played",
        "resultStatus": "completed",
        "isForfeit": false,
        "statsEligible": true,
        "unavailableReason": null,
        "dataAvailability": {
          "playerStats": {
            "dataAvailable": false,
            "unavailableReason": "not_yet_indexed"
          }
        }
      },
      "availableSubresources": [],
      "unavailableSubresources": [],
      "…": "5 more fields"
    },
    {
      "entityType": "cs2_player_stat",
      "id": "live-source-match-2398757-map-2-ZywOo",
      "mapId": "cs2-match-2398757-map-2",
      "matchId": "cs2-match-2398757",
      "playerId": "cs2-player-11893",
      "playerName": "ZywOo",
      "teamId": "cs2-team-9565",
      "teamName": "Vitality",
      "kills": 18,
      "deaths": 9,
      "assists": 14,
      "plusMinus": 9,
      "adr": 92.2,
      "kast": 0.9,
      "rating": 1.5,
      "ratingVersion": "cito_rating_1",
      "headshots": 7,
      "headshotPercent": 0.389,
      "firstKills": 0,
      "firstDeaths": 0,
      "lastSyncedAt": "2026-10-14T15:36:29.946Z",
      "map": {
        "id": "cs2-match-2398757-map-2",
       
…

Player weapons

GET/api/v1/cs2/players/{playerIdOrSlug}/weapons

A player's kills by weapon.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).
limitintegerRows to return. Maximum 200; larger values are reduced to 200.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/weapons" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": {
    "entityType": "cs2_player_weapon_stats",
    "playerId": "cs2-player-11893",
    "playerName": "ZywOo",
    "dataAvailable": true,
    "dataScope": "player_attributed_kill_events",
    "weapons": [
      {
        "weapon": "AWP",
        "kills": 568,
        "headshots": 69,
        "headshotPercent": 12.1,
        "maps": 84,
        "matches": 38,
        "lastSyncedAt": "2026-10-11T18:49:43.587Z"
      },
      {
        "weapon": "AK-47",
        "kills": 378,
        "headshots": 235,
        "headshotPercent": 62.2,
        "maps": 76,
        "matches": 38,
        "lastSyncedAt": "2026-10-11T18:49:43.587Z"
      }
    ]
  },
  "meta": {
    "count": 2,
    "dataAvailable": true,
    "dataScope": "player_attributed_kill_events",
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Player details

GET/api/v1/cs2/players/{playerIdOrSlug}

One player: nickname, real name, photo, country, team, role and headline stats.

Query parameters

ParameterTypeDescription
playerIdOrSlug (path)*stringPlayer id (cs2-player-11893) or slug (zywoo).

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": {
    "entityType": "cs2_player",
    "id": "cs2-player-11893",
    "nickname": "ZywOo",
    "slug": "zywoo",
    "realName": "Mathieu Herbaut",
    "imageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/9a20575a48df13463513233c6314f72c.webp",
    "countryName": "France",
    "countryCode": "FR",
    "age": 25,
    "rating": 1.24,
    "mapsPlayed": 636,
    "careerStats": {
      "rating": 1.24,
      "lastKnownRating": 1.24
    },
    "currentTeamId": "cs2-team-9565",
    "status": "active",
    "primaryRole": "AWPer",
    "roleConfidence": "high",
    "statusUpdatedAt": "2026-10-16T18:53:28.992Z",
    "lastSyncedAt": "2026-10-16T18:53:28.121Z",
    "lastVerified": "2026-10-16T18:53:28.121Z",
    "roster": [
      {
        "id": "cs2-player-8f40140c-772e-4d4e-8510-1c8360c754ba",
        "teamId": "cs2-team-9565",
        "playerId": "cs2-player-11893",
        "role": "AWPer",
        "fromAt": "2018-10-01T12:00:00.000Z",
        "toAt": null,
        "isActive": true,
        "lastSyncedAt": "2026-10-16T18:53:28.992Z",
        "team": {
          "id": "cs2-team-9565",
          "name": "Vitality",
          "slug": "vitality",
          "teamTag": "VITALITY",
          "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/0cd34febd1ad61ff888f21b55756003b.webp",
          "countryName": "Europe",
          "countryCode": null,
          "region": "Europe",
          "worldRanking": 2,
          "lastSyncedAt": "2026-10-16T19:39:26.768Z",
          "lastVerified": "2026-10-16T19:39:26.768Z",
          "confidence": "high",
          "alternateLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/c5e463f9b2347d3aa58794fb8f7ec967.webp",
          "darkUiLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/c5e463f9b2347d3aa58794fb8f7ec967.webp"
        }
      },
      {
        "id": "cs2-player-c89f70dc-3630-4fa3-8143-8967904b6b93",
        "teamId": "cs2-team-5639",
        "playerId": "cs2-player-11893",
        "role": null,
        "fromAt": "2017-09-01T12:00:00.000Z",
        "toAt": "2018-09-30T12:00:00.000Z",
        "isActive": false,
        "lastSyncedAt": "2026-07-10T01:37:18.872Z",
        "team": {
          "id": "cs2-team-5639",
          "name": "aAa",
          "slug": "aaa",
          "teamTag": "AAA",
          "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/686cbe0c559e95cae6a091ffc4a7f524.svg",
          "countryName": "France",
          "countryCode": "FR",
          "region": "Europe",
          "worldRanking": null,
          "lastSyncedAt": "2026-10-16T19:39:59.588Z",
          "lastVerified": "2026-10-16T19:39:59.588Z",
          "confidence": "high"
        }
      }
    ],
    "currentTeam": {
      "id": "cs2-team-9565",
      "name": "Vitality",
      "slug": "vitality",
      "teamTag": "VITALITY",
      "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/0cd34febd1ad61ff888f21b55756003b.webp",
      "countryName": "Europe",
      "countryCode": null,
      "region": "Europe",
      "worldRanking": 2,
      "lastSyncedAt": "2026-10-16T19:39:26.768Z",
      "lastVerified": "2026-10-16T19:39:26.768Z",
      "confidence": "high",
      "alternateLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/c5e463f9b2347d3aa58794fb8f7ec967.webp",
      "darkUiLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/c5e463f9b2347d3aa58794fb8f7ec967.webp"
    },
    "availableSubreso
…

List players

GET/api/v1/cs2/players

Players with photo, country, team and rating.

Query parameters

ParameterTypeDescription
activebooleanFilter by active.
allstringFilter by all.
archivebooleanFilter by archive.
competitivebooleanFilter by competitive.
fieldsstringComma-separated list of fields to return.
filterstringFilter by filter.
hasImagestringFilter by hasImage.
has_imagestringFilter by has_image.
includeUnverifiedstringFilter by includeUnverified.
include_unverifiedstringFilter by include_unverified.
letterstringFilter by letter.
limitintegerRows to return. Maximum 200; larger values are reduced to 200.
offsetintegerRows to skip, for paging.
orderBystringFilter by orderBy.
pageintegerPage number, starting at 1.
qstringSearch text.
searchstringSearch text.
sortstringSort order.
summarybooleantrue returns a summary instead of full rows.
teamIdstringTeam id or slug.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/players" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "entityType": "cs2_player",
      "id": "cs2-player-25719",
      "nickname": "-hubi-",
      "slug": "hubi",
      "realName": "Hubert Szumiński",
      "imageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/2080d701279e7a4489bf4c3b555ac1c6.webp",
      "countryName": "Poland",
      "countryCode": "PL",
      "age": 28,
      "rating": 0.81,
      "mapsPlayed": null,
      "careerStats": {
        "rating": 0.81,
        "window": "past_3_months",
        "opening": null,
        "sniping": null,
        "trading": null,
        "utility": null,
        "entrying": null,
        "clutching": null,
        "firepower": null,
        "mapsPlayed": null,
        "prizeMoney": null,
        "lastKnownRating": 0.81,
        "lastActiveTournament": "LiveThunderpick WC"
      },
      "currentTeamId": null,
      "status": null,
      "primaryRole": "rifler",
      "roleConfidence": "low",
      "statusUpdatedAt": "2026-10-16T05:02:27.350Z",
      "lastSyncedAt": "2026-10-16T05:02:27.350Z",
      "lastVerified": "2026-10-16T05:02:27.350Z",
      "prizeMoney": null,
      "availableSubresources": [
        "stats",
        "matches"
      ],
      "unavailableSubresources": [
        "weapons"
      ],
      "unavailableFields": {
        "mapsPlayed": {
          "reason": "profile_field_unavailable"
        },
        "currentTeamId": {
          "reason": "profile_field_unavailable"
        }
      },
      "dataQuality": "complete",
      "…": "2 more fields"
    },
    {
      "entityType": "cs2_player",
      "id": "cs2-player-22419",
      "nickname": "0SAMAS",
      "slug": "0samas",
      "realName": "Osama Orabi",
      "imageUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/711ef8d2f606f6f440e7e336f2d57a93.webp",
      "countryName": "Palestine",
      "countryCode": "PS",
      "age": 23,
      "rating": 1.02,
      "mapsPlayed": 94,
      "careerStats": {
        "rating": 1.02,
        "lastKnownRating": 1.02
      },
      "currentTeamId": "cs2-team-10245",
      "status": "active",
      "primaryRole": "rifler",
      "roleConfidence": "low",
      "statusUpdatedAt": "2026-10-16T18:57:05.939Z",
      "lastSyncedAt": "2026-10-16T18:57:04.771Z",
      "lastVerified": "2026-10-16T18:57:04.771Z",
      "prizeMoney": null,
      "availableSubresources": [
        "stats",
        "matches"
      ],
      "unavailableSubresources": [
        "weapons"
      ],
      "unavailableFields": {},
      "dataQuality": "complete",
      "…": "2 more fields"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 2,
    "total": 6358,
    "count": 2,
    "sort": "nickname",
    "totalPages": 3179,
    "hasNext": true,
    "hasPrev": false
  }
}

Try the CS2 Player Stats API

Run a real request with your key, then wire the same call into your app. The free plan includes 500 requests a month.

bash
curl "https://api.citoapi.com/api/v1/cs2/players/donk/stats" \
  -H "x-api-key: YOUR_API_KEY"